Bug 187633 - Data corruption after resume from suspend
Data corruption after resume from suspend
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-04-01 21:08 EST by Shane Stixrud
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-03 14:01:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg out from just before the resume to post resume just prior to crash (17.29 KB, text/plain)
2006-04-01 21:08 EST, Shane Stixrud
no flags Details
sysreport dump (322.20 KB, application/x-bzip)
2006-04-01 21:10 EST, Shane Stixrud
no flags Details

  None (edit)
Description Shane Stixrud 2006-04-01 21:08:45 EST
Description of problem:
When I suspend my IBM T41 Thinkpad and then resume everything appears fine, can
access disk, write files but shortly there after the kernel floods with the
following messages:

ide: failed opcode was: unknown
hda: dma_intr: status=0x51 { DriveReady SeekComplete Error }
hda: dma_intr: error=0x10 { SectorIdNotFound }, LBAsect=71426034, sector=71426019

I have attached a dmesg.log file capturing all message from just before the
resume until the machine becomes unuseable.

I am also attaching a sysreport file

Version-Release number of selected component (if applicable):

How reproducible:
Occurs everytime after suspend on this hardware.  Tested with acpisleep=s3bios,
with a suspend2 enabled kernel, and bypassed gnome's suspend by echoing to /proc
, upgraded to latest bios, all with the same result.

Steps to Reproduce:
1. Suspend
2. Resume
Actual results:
Disk corruption, a couple times to the point where I had to run fsck from init 1
and the data was still lost.

Expected results:
Resume without disk failure

Additional info:
Comment 1 Shane Stixrud 2006-04-01 21:08:46 EST
Created attachment 127192 [details]
dmesg out from just before the resume to post resume just prior to crash
Comment 2 Shane Stixrud 2006-04-01 21:10:35 EST
Created attachment 127193 [details]
sysreport dump
Comment 3 Shane Stixrud 2006-04-22 14:36:09 EDT
I see a couple people have added themselfs to this bug notify list.  Is this a
known problem?
Comment 4 Dave Jones 2006-10-16 13:56:01 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Shane Stixrud 2006-11-02 19:36:01 EST
I re-tested fedora core 6 w/ all updates applied and the problem still exists
and is easy to reproduce.
Comment 6 Shane Stixrud 2006-11-02 19:38:52 EST
Bug still exists in core 6.

Note You need to log in before you can comment on or make changes to this bug.